[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# IndexStr

Searches, observing case, for a string in an array of strings.

## Declaration

Source position: strutils.pp line 58

`function IndexStr(`
`const AText: UnicodeString;`
`const AValues: array of UnicodeString`
`):Integer; function IndexStr(`
`const AText: string;`
`const AValues: array of string`
`):Integer;`

## Description

IndexStr matches AText against each Unicode string in AValues. If a match is found, the corresponding index (zero-based) in the AValues array is returned. If no match is found, -1 is returned. The strings are matched observing case.

## Errors

None.

## See also

AnsiIndexText |  | Searches, case insensitive, for a string in an array of strings.
MatchStr |  | Check whether a string occurs in an array of strings, observing case.
AnsiIndexStr |  | Searches, observing case, for a string in an array of strings.